start

# porestructure

porestructure takes edited PO files as output from poconflict, and recreates the directory structure according to the directives in the remaining comments (as added by poconflict). After such a restructuring, the messages in the resulting directory structure an be merged back using pomerge.

Since poconflicts adds conflicting messages in the same PO file, the original structure of the files and directories are traded for files in a single directory. The original structure information is left in comments for each PO element.

Translations that didn’t change, can therefore simply be deleted.

## Usage

    porestructure [options] <conflicts> <po>

Where:

- <conflicts> -- is a directory containing one the corrected output from poconflict
- <po> -- is an output directory to write the restructured files to

Options:

--version | show program’s version number and exit
-h, --help | show this help message and exit
--manpage | output a manpage based on the help
--progress=PROGRESS | show progress as: dots, none, bar, names, verbose
--errorlevel=ERRORLEVEL | show errorlevel as: none, message, exception, traceback
-iINPUT, --input=INPUT | read from INPUT in po format
-xEXCLUDE, --exclude=EXCLUDE | exclude names matching EXCLUDE from input paths
-oOUTPUT, --output=OUTPUT | write to OUTPUT in po format
--psyco=MODE | use psyco to speed up the operation, modes: none, full, profile

## Examples

See the examples for poconflict for the complete process using poconflict, porestructure, and pomerge.

## Bugs

None Known